diff -ruN mozilla-headers-devel.orig/Makefile mozilla-headers-devel/Makefile
--- mozilla-headers-devel.orig/Makefile	Sat Oct 19 02:21:39 2002
+++ mozilla-headers-devel/Makefile	Sat Oct 19 02:16:36 2002
@@ -2,7 +2,7 @@
 # Date created:				1 February 2001
 # Whom:					Maxim Sobolev <sobomax@FreeBSD.org>
 #
-# $FreeBSD: ports/www/mozilla-headers-devel/Makefile,v 1.9 2002/09/07 18:54:38 marcus Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	mozilla-headers
@@ -18,8 +18,8 @@
 
 USE_X_PREFIX=	yes
 
-NO_LATEST_LINK=	yes
-
+LATEST_LINK=	mozilla-headers-devel
+PLIST=		${WRKSRC}/pkg-plist
 MAINDIR=	${.CURDIR}/../mozilla-devel
 MKFILE!=	/usr/bin/basename ${MAKEFILE}
 PORTVERSION!=	${PORTVERSION}
@@ -32,6 +32,14 @@
 .if defined(INCOWN) || defined(INCGRP)
 CPIOOWN=	-R ${INCOWN}:${INCGRP}
 .endif
+
+pre-install:
+	${TOUCH} -f ${PLIST}
+	cd ${WRKSRC}/dist/include && ${FIND} -s * -type f -o -type l | \
+		${SED} -e ':^:include/mozilla-devel/:' >> ${PLIST} \
+		&& ${FIND} -d * -type f | \
+		${SED} -e 's:^:@dirrm include/mozilla-devel/:' >> ${PLIST}
+	${ECHO_CMD} @dirrm include/mozilla-devel >> ${PLIST}
 
 do-install:
 	-${RM} -fr ${PREFIX}/include/mozilla-devel
